<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:c="http://java.sun.com/jsp/jstl/core">
<h:head>
    <title>Dashboard </title>

</h:head>
<ui:composition template="WEB-INF/template.xhtml">

    <ui:define name="pageContent">

        <b:container fluid="true">
            <b:row>
                <b:column col-sm="10" offset-sm="5" col-md="10  " offset="2" styleClass="main">
                    <h1>Dashboard</h1>
                    <hr/>
                    <!--Hier moet conditional styling in functie van de loggedIn user gebeuren-->
                    <c:if test="#{currentUser.getCurrentUserRole() == 'CUSTOMER' }">
                        <b:row styleClass="placeholders">
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>CUSTOMER</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>Label</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>Label</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>Label</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                        </b:row>
                    </c:if>

              <!--EMPLOYEE-->

                    <c:if test="#{currentUser.getCurrentUserRole() == 'EMPLOYEE' }">
                        <b:row styleClass="placeholders">
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">
                                <h:outputLink value="manageAirports.xhtml" ><h4>  Manage Airports </h4></h:outputLink>

                                <span class="text-muted">Something else</span>
                            </b:column>
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>Label</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>Label</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>Label</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                        </b:row>
                    </c:if>

                    <!--PARTNER-->

                    <c:if test="#{currentUser.getCurrentUserRole() == 'PARTNER' }">
                        <b:row styleClass="placeholders">
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>PARTNER</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>Label</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>Label</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                            <b:column col-xs="6" col-sm="3" styleClass="placeholder">

                                <h4>Label</h4>
                                <span class="text-muted">Something else</span>
                            </b:column>
                        </b:row>
                    </c:if>
                </b:column>
            </b:row>
        </b:container>
        <link rel="stylesheet" type="text/css" href="styles/dashboard.css"/>
    </ui:define>
</ui:composition>

</html>